1

The version in Software Center is ancient - is that planned to be fixed soon? Well, I tried to download the .deb from LibreOffice's site but I ended up with a whole bunch of .deb files that required each other and not a single installation script like I hoped for. Assistance appreciated!

1

Since elementary OS is based on Ubuntu 14.04 LTS, packages available to download (either from apt-get or Software Center) are likely outdated. That means that, to get the latest version of a program, you should add a PPA repository to your system. To do this, search for "X PPA" where "X" is the name of your application. In this case, you should search for "LibreOffice PPA", and it will give you a result, usually to Launchpad, from where you can add a PPA like ppa:libreoffice/ppa to your system:

Open a terminal and run

sudo add-apt-repository ppa:libreoffice/ppa
sudo apt-get update
sudo apt-get install libreoffice

LibreOffice should be installed

Remember to mark as answer if this works :)

  • will try it on a vm right now. – Michael Staake Mar 12 '16 at 8:05

Not the answer you're looking for? Browse other questions tagged or ask your own question.